package net.seelisoft.anruflaut;

import android.app.Activity;
import android.content.Intent;

import java.util.HashMap;

public class ActionPicker {

    private final Activity activity;
    private final HashMap<Integer, IActionPickerCallback> callbacks = new HashMap<>();

    public interface IActionPickerCallback {
        void onResult(int resultCode, Intent resultData);
    }

    public ActionPicker(Activity activity) {
        this.activity = activity;
    }

    public void start(Intent intent, int requestCode, IActionPickerCallback callback) {
        callbacks.put(requestCode, callback);
        activity.startActivityForResult(intent, requestCode);
    }

    public void handleResult(int requestCode, int resultCode, Intent resultData) {
        IActionPickerCallback callback = callbacks.get(requestCode);
        if (callback != null) {
            callback.onResult(resultCode, resultData);
        }
    }
}
